#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'tk'

alias e puts

USE_THIS_FONT = TkFont.new(family: 'Helvetica', size: 20, weight: 'bold')

root = TkRoot.new
root.geometry('800x600+0+0')
entry = TkEntry.new(root) {
  font USE_THIS_FONT
  pack
}
entry.bind('Key', proc {|this_key|
  e "This key was pressed: `#{this_key}`"
}, '%K')

Tk.mainloop
