# This demonstration script creates a text widget that illustrates the
# various display styles that may be set for tags. 
# Modified from the demo widget example provided in the Tcl release
require 'tk'
TITLE = 'Packing Example'
root   = TkRoot.new() { title TITLE }
button = TkButton.new(root) { 
  text "First, rightmost" 
  }
button.pack("side"=>"right", "fill"=>'y')
entry = TkEntry.new(root).pack("side"=>"top", "fill"=>"x")
entry.insert(0, "Entry on the top")
label = TkLabel.new() { text 'to the right' }
label.pack("side"=>"right")
image = TkPhotoImage.new(
  'file'   => '/home/x/DATA/images/NJOY/Leeann_Tweeden.png', 
  'height' => 52
)
img_label = TkLabel.new(root) { image image }.pack("anchor"=>"e")
text = TkText.new(root) { width 20; height 5 }.pack("side"=>"left")
text.insert('end', "Left in canvas")
TkButton.new(root) {
  index = 0
  text 'Click Me'
  command proc {
  index += 1
  puts 'Congratulations on creating ' +
  'your '+verbose_number_to_word_position(index.to_s)+' Ruby/Tk' +
  'application'}
  }.pack('padx'=>15, 'pady'=>15) 
#TkScrollbar.new(root)
TkMessage.new(root) { text "Message in the Bottom" }.pack("side"=>"bottom")
Tk.mainloop() 


#text .t -yscrollcommand ".scroll set" -setgrid true \
#        -width 40 -height 10 -wrap word
#scrollbar .scroll -command ".t yview"
#pack .scroll -side right -fill y
#pack .t -expand yes -fill both
#
# Set up the tags 
#.t tag configure bold_italics -font \
#    {-family courier -size 12 -weight bold -slant italic}
#.t tag configure big -font {-family helvetica -size 24 -weight bold}
#.t tag configure color1 -foreground red
#.t tag configure sunken -relief sunken -borderwidth 1
#.t tag bind Ouch <1> {.t insert end "Ouch! "}
#
# Now insert text that has the property of the tags
#.t insert end "Here are a few text styles.\n"
#.t insert end "1. Bold italic text.\n" bold_italics#
#.t insert end "2. Larger Helvetica  text.\n" big
#.t insert end "3. Red text.\n" color1
#.t insert end "4. Sunken text.\n" sunken
#button .b -text "5. An embedded Hello Button" \
#    -command {.t insert end "Hello "}
#.t window create end -window .b
#.t insert end "\n"
# .t insert end "6. Text with a binding (try clicking me)" Ouch
#.t insert end "\nAnd all this is editable!"


