#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'tk'

root = TkRoot.new { title 'Click to draw a tiny box' }
TkLabel.new(root) { text 'Attention!'; font TkCaptionFont }
canvas = TkCanvas.new(root)
canvas.pack
canvas.bind('1',  proc { |e| 
  p "#{e.x}, #{e.y}"
  TkcRectangle.new(canvas, e.x,e.y,e.x-5, e.y-5)
})
root.bind('Any-Key-d',  
  proc { |event| 
    p "#{event.x}, #{event.y}"
    TkcRectangle.new(canvas, event.x, event.y, event.x-5, event.y-5)
  }
)
Tk.mainloop
# rb draw_tiny_box.rb