#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'tk_paradise'

include Tk

IMAGE = '/home/x/DATA/images/HUE2.gif'

root = TkRoot.new() { title 'Packing Example' }

button = TkButton.new(root) { text 'First, rightmost' }
button.pack('side'=>'right', 'fill'=>'y')

entry = TkEntry.new(root).pack('side'=>'top', 'fill'=>'x')
entry.insert(0, 'Entry on the top')

label = tk_label('to the right', root) { :on_right }

our_image = tk_image(image, height: 50)
img_label = TkLabel.new(root) { image(our_image) }.pack('anchor'=>'e')

text = TkText.new(root) { width 20; height 5 }.pack('side'=>'left')
text.insert('end', 'Left in canvas')

tk_label('Message in the Bottom', root) { :on_bottom }
Tk.run