#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'tk'

alias e puts

root = TkRoot.new
root.title = 'Window'
root.geometry('800x600+0+0')

@spin_box_variable = TkVariable.new
@spin_box = TkSpinbox.new(root) {
  from 0
  to 100
  increment 5
  justify :center
  textvariable @spin_box_variable
  command proc { callback }
  pack(side: 'left', padx: '50', pady: '50')
}
def callback
  e 'The value has changed.'
  e @spin_box_variable.get
end

Tk.mainloop