#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'tk_paradise'

alias e puts

@window = Tk.root
@window.title = 'Window'
@window.move(0, 0)
USE_THIS_FONT = TkFont.new(family: 'Helvetica', size: 20, weight: 'bold')

# =========================================================================== #
# === on_button1_clicked
# =========================================================================== #
def on_button1_clicked
  result = Tk.choose_colour # The result may be like this: "#d9845b"
  @window.configure(background: result)
  return result
end

proc_on_button_clicked = Proc.new { on_button1_clicked }

button = TkButton.new(@window) {
  text 'button: choose a colour'
  font USE_THIS_FONT
  pack(side: :left, padx: "50", pady: "50")
}
button.command = proc_on_button_clicked

Tk.run