#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'tk_paradise/tk_classes/root.rb'
# =========================================================================== #
module Tk

class Root

  # ========================================================================= #
  # === move
  #
  # This will re-position the tk-root widget to the specified position,
  # similar to how ruby-gtk works.
  # ========================================================================= #
  def move(
      x = 0,
      y = 0
    )
    root.geometry("+#{x}+#{y}") # This will only specify the x and y coordinates
  end
  
end; end